Page MenuHomePhabricator

vital-signs doesn't display pageviews graph in Firefox 41, 42 {crow} [3 pts]
Closed, ResolvedPublic

Event Timeline

Nemo_bis created this task.Aug 20 2015, 9:39 AM
Nemo_bis raised the priority of this task from to Needs Triage.
Nemo_bis updated the task description. (Show Details)
Nemo_bis added a project: Analytics-Dashiki.
Nemo_bis added a subscriber: Nemo_bis.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 20 2015, 9:39 AM
Nemo_bis updated the task description. (Show Details)Aug 20 2015, 9:39 AM
Nemo_bis set Security to None.

What Browser and version is this? I'm trying to find out if it's a race condition or a browser bug. It works ok for me in Firefox 39 and Chrome 44.0.2403.130 (64-bit) and I haven't seen any race condition lately.

Milimetric triaged this task as High priority.Aug 25 2015, 2:10 PM
Milimetric added a project: Analytics-Backlog.
Jdforrester-WMF renamed this task from vital-signs doesn't display pageviews graph to vital-signs doesn't display pageviews graph in Firefox 41, 42.Aug 25 2015, 5:21 PM

Firefox 39 here (firefox-39.0-8.fc21.x86_64 for the sake of precision).

The only error I see in the console is "TypeError: e.color is not a function", which doesn't present itself in the functioning graph.

Thanks Nemo, that's very useful, will try to track down after some other urgent matters.

Milimetric renamed this task from vital-signs doesn't display pageviews graph in Firefox 41, 42 to vital-signs doesn't display pageviews graph in Firefox 41, 42 {crow} [3 pts].Aug 26 2015, 4:47 PM
Milimetric edited projects, added Analytics-Kanban; removed Analytics-Backlog.
Milimetric moved this task from Next Up to In Progress on the Analytics-Kanban board.

@Nemo_bis, that bug was fixed a while back, can you clear your cache for vital-signs and try again?

@Jdforrester-WMF, mind trying that also? Clearing your cache?

We've gotta update the cache headers config in apache to fix that problem, but I'm just making sure there's not another bug happening.

Currently vital-signs.wmflabs.org doesn't load at all for me, blank page. I'll retry later.

it seems there was a labs outage that took out everything. Vital Signs is up again.

I still have the same issue. No chart works, other than LegacyPageviews.

@Nemo_bis, I'm just making sure, you have the same issue despite clearing your cache? I tried it with the version of Firefox you mentioned and I didn't have an issue.

Yes, with the difference that sometimes the sidebar doesn't load any longer (I had to hard refresh a few times). Disabling AdBlock Plus and NoScript had no effect.

@Nemo_bis - I deployed some caching config changes and fixed a bug in the build that was causing some unwanted caching as well. If you try it again, could you first open up the developer console (F12 on my linux machine) and look at the Network tab while the page is loading? If you see it loading "project-selector-85b353f.js" and it's still not working, then I'm thinking of flying to meet with you to figure this out :)

Great, pageviews works for me now with firefox-40.0.3-1.fc22.x86_64; will test on the other machine now.

However, I now get on other graphs things such as:

Can't plot empty data set: dygraphs-timeseries-85b353f.js:3:21716

"Fri, 11 Sep 2015 10:14:29 GMT https://vital-signs.wmflabs.org/dygraphs-timeseries-85b353f.js:5 TypeError: a is null"

Heh, thanks Nemo. There are two issues here. First, someone broke our config pages, which is totally my fault because I should make a custom Dashiki namespace instead of polluting Main. I opened that up as a separate issue: T112268. And second is another issue with dygraphs in firefox, which I'll find a workaround for and deploy soon. I'm glad that nasty caching problem's not happening any more, thanks for all the feedback.

Change 237664 had a related patch set uploaded (by Milimetric):
Fix date parsing in Firefox

https://gerrit.wikimedia.org/r/237664

Change 237664 merged by Nuria:
Fix date parsing in Firefox

https://gerrit.wikimedia.org/r/237664

Milimetric moved this task from In Progress to Ready to Deploy on the Analytics-Kanban board.

Thanks again, @Nemo_bis, all seems well in Firefox land now. It was just handling dates in stubborn bizarre ways :)

Thanks, all graphs seem to work now. Several of them seem to be missing some data, unrelated?

The missing data is due to labs being inadequately powerful to run all the metrics we're trying to run on it. Also, these metrics are sometimes too computationally intensive. This next quarter we're going to tackle both of those problems.

kevinator closed this task as Resolved.Sep 15 2015, 3:29 PM
kevinator added a subscriber: kevinator.